
using System.Collections.Generic;

namespace Cloud.Alibaba.Sls
{
    public class SlsProjectConfig
    {
        public readonly string ProjectName;

        public readonly string Endpoint;

        public SlsProjectConfig(string projectName, string endpoint)
        {
            ProjectName = projectName;
            Endpoint = endpoint;
        }
        
        private static readonly Dictionary<SlsProject, SlsProjectConfig> SlsProjectConfigs =
            new Dictionary<SlsProject, SlsProjectConfig>();

        static SlsProjectConfig()
        {
            SlsProjectConfigs.Add(SlsProject.ClientLog, new SlsProjectConfig("hjhaGame", "cn-hangzhou.log.aliyuncs.com"));
            SlsProjectConfigs.Add(SlsProject.ServerLog, new SlsProjectConfig("hjha-game", "cn-hangzhou.log.aliyuncs.com"));
        }

        public static SlsProjectConfig GetConfig(SlsProject project)
        {
            return SlsProjectConfigs[project];
        }
    }

}

